import gym
from q_learning import QLunarAgent
import numpy as np



if __name__ == '__main__':
    env3 = gym.make("LunarLander-v2")
    state_bins = {"x":12, "y":10, 'vx':5, 'vy':5, 'a':6, 'va':5, 'left_leg':2, 'right_leg':2}
    agent = QLunarAgent(env=env3, alpha=0.15, gamma=0.975, epsilon_start=0.3, epsilon_end=0.01, mode=3, bins=state_bins)
    agent.load_qtable("1140000.npy")

    # , 100000, 300000, 500000, 750000, 800000, 900000, 1000000, 1010000, 1140000

    #history = agent.train(episodes=100000, render=True, verbose=True, verbose_step=1000)
    #rewards_list, correct_landing = agent.evaluate(10000)
    agent.run_episode()